> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Pipeline

> Archive a pipeline (marks it inactive without deleting it).



## OpenAPI

````yaml post /opportunity/pipeline/{pipeline_id}/archive
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/pipeline/{pipeline_id}/archive:
    post:
      tags:
        - Pipelines
      summary: Archive Pipeline
      description: Archive a pipeline (marks it inactive without deleting it).
      operationId: archive_pipeline_opportunity_pipeline__pipeline_id__archive_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: string
            title: Pipeline Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PipelineSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        locationId:
          type: string
          title: Locationid
        isActive:
          type: boolean
          title: Isactive
          default: true
        stages:
          items:
            $ref: '#/components/schemas/PipelineStageSummary'
          type: array
          title: Stages
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
      type: object
      required:
        - id
        - name
        - locationId
      title: PipelineSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PipelineStageSummary:
      properties:
        id:
          type: string
          title: Id
        pipelineId:
          type: string
          title: Pipelineid
        name:
          type: string
          title: Name
        stageNumber:
          type: integer
          title: Stagenumber
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        kind:
          $ref: '#/components/schemas/StageKind'
          default: WORKING
        staleAfterDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Staleafterdays
        isTerminalWon:
          type: boolean
          title: Isterminalwon
          default: false
        isTerminalLost:
          type: boolean
          title: Isterminallost
          default: false
        autoConvert:
          type: boolean
          title: Autoconvert
          default: false
        actions:
          items:
            $ref: '#/components/schemas/PipelineStageActionSummary'
          type: array
          title: Actions
      type: object
      required:
        - id
        - pipelineId
        - name
        - stageNumber
      title: PipelineStageSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    StageKind:
      type: string
      enum:
        - NEW
        - WORKING
        - ENGAGED
        - BOOKED
        - WON
        - LOST
      title: StageKind
      description: Canonical funnel mapping for arbitrarily named pipeline stages.
    PipelineStageActionSummary:
      properties:
        id:
          type: string
          title: Id
        stageId:
          type: string
          title: Stageid
        actionType:
          $ref: '#/components/schemas/PipelineActionType'
        actionOrder:
          type: integer
          title: Actionorder
        delayMinutes:
          type: integer
          title: Delayminutes
          default: 0
        config:
          additionalProperties: true
          type: object
          title: Config
        isActive:
          type: boolean
          title: Isactive
          default: true
      type: object
      required:
        - id
        - stageId
        - actionType
        - actionOrder
      title: PipelineStageActionSummary
    PipelineActionType:
      type: string
      enum:
        - CREATE_TASK
        - SEND_SMS
        - SEND_EMAIL
        - START_SEQUENCE
        - ASSIGN_PROVIDER
        - WEBHOOK
        - UPDATE_FIELD
      title: PipelineActionType

````